## komorebi 2.0

=== CMakeLists.txt ===
project (komorebi)
cmake_minimum_required (VERSION 2.8)
list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/)

set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
set (PKGDATADIR "${DATADIR}/komorebi")
set (RELEASE_NAME "summit")
set (VERSION "1.0")
set (VERSION_INFO "Release")
set (ARCHIVE_NAME komorebi-${VERSION})


find_package(PkgConfig)
pkg_check_modules(DEPS REQUIRED gtk+-3.0 libgtop-2.0 glib-2.0>=2.38 gee-0.8 clutter-gtk-1.0 clutter-1.0 clutter-gst-3.0)
add_definitions(${DEPS_CFLAGS})

link_directories(${DEPS_LIBRARY_DIRS})
find_package(Vala REQUIRED)
include(ValaVersion)
include(ValaPrecompile)


find_package(Vala REQUIRED)


ensure_vala_version("0.16" MINIMUM)
vala_precompile(VALA_C
    src/Main.vala

    src/OnScreen/BackgroundWindow.vala
    src/OnScreen/DateTimeBox.vala
    src/OnScreen/InfoBox.vala
    src/OnScreen/DesktopIcons.vala
    src/OnScreen/ResponsiveGrid.vala
    src/OnScreen/Icon.vala
    src/OnScreen/InfoWindow.vala
    src/OnScreen/RowLabel.vala
    src/OnScreen/WallpapersSelector.vala
    src/OnScreen/Thumbnail.vala
    src/OnScreen/BubbleMenu.vala
    src/OnScreen/BubbleMenuItem.vala
    src/OnScreen/AssetActor.vala
    src/OnScreen/PreferencesWindow.vala

    src/Utilities.vala


PACKAGES
    gtk+-3.0
    glibtop
    gee-0.8
    clutter-gtk-1.0
    clutter-gst-3.0
OPTIONS
    --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi/
   	--disable-warnings

)
vala_precompile(WALLPAPER_CREATOR
    extra/wallpaper-creator/Main.vala

    extra/wallpaper-creator/OnScreen/NewWallpaperWindow.vala
    extra/wallpaper-creator/OnScreen/InitialPage.vala
    extra/wallpaper-creator/OnScreen/OptionsPage.vala
    extra/wallpaper-creator/OnScreen/FinalPage.vala


PACKAGES
    gtk+-3.0
    gee-0.8
    gstreamer-1.0
OPTIONS
    --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi/
    --disable-warnings

)

add_definitions(${CFLAGS} -Wall -Winit-self -Wwrite-strings -Wunreachable-code -Wstrict-prototypes)
add_executable(komorebi ${VALA_C})
add_executable(komorebi-wallpaper-creator ${WALLPAPER_CREATOR})
target_link_libraries(komorebi ${DEPS_LIBRARIES} -lm)
target_link_libraries(komorebi-wallpaper-creator ${DEPS_LIBRARIES} -lm)

install(TARGETS komorebi RUNTIME DESTINATION /System/Applications/)
install(TARGETS komorebi-wallpaper-creator RUNTIME DESTINATION /System/Applications/)


######### Wallpapers ############
install(DIRECTORY data/Wallpapers/ DESTINATION /System/Resources/Komorebi)


######### Fonts ############
install(DIRECTORY data/Fonts/ DESTINATION /usr/share/fonts)

######### Icons ############
install(DIRECTORY data/Icons/ DESTINATION /System/Resources/Komorebi)

######### Other ############
install(FILES data/Other/komorebi.desktop DESTINATION /usr/share/applications/)
install(FILES data/Other/wallpapercreator.desktop DESTINATION /usr/share/applications/)

######### Run the upgrade script #########
install(CODE "execute_process(COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/data/Other/postinst.sh)")

# Packaging configuration
set(CPACK_GENERATOR "DEB")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Komorebi - An awesome desktop manager for Linux")
set(CPACK_PACKAGE_VENDOR "")
set(CPACK_PACKAGE_CONTACT "Abraham Masri <imasrim114@gmail.com>")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
set(CPACK_PACKAGE_ICON screenshots/komorebi-icon.png)
set(CPACK_PACKAGE_VERSION_MAJOR 2)
set(CPACK_PACKAGE_VERSION_MINOR 0)
set(CPACK_PACKAGE_VERSION_PATCH 0)
set(CPACK_PACKAGE_INSTALL_DIRECTORY "Komorebi")
set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_CURRENT_SOURCE_DIR}/data/Other/postinst;")

set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtk-3-0 (>= 3.14), libglib2.0-0 (>= 2.38), libgtop2-common, libgee-0.8-2, libclutter-gtk-1.0-0, libclutter-1.0-0, libclutter-gst-3.0-0")
set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
set(CPACK_DEBIAN_PACKAGE_SECTION "system")

include(CPack)

=== debian/changelog ===
komorebi (2.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Switch to 3.0 (quilt) source format.
  * Add missing info to debian/copyright.
  * Clean cruft from debian/rules.
  * Split into komorebi and komorebi-data packages.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Jun 2018 14:45:58 -0700

komorebi (2.0) unstable; urgency=medium

  * Initial Release.

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 18 Dec 2017 11:45:54 +0800

=== debian/control ===
Source: komorebi
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9),
               dh-exec (>=0.3),
               libgtop2-dev,
               libgtk-3-dev (>= 3.14),
               libglib2.0-dev (>= 2.38), 
               libgee-0.8-dev, 
               libwnck-3-dev, 
               libclutter-gtk-1.0-dev, 
               libclutter-gst-3.0-dev, 
               cmake, 
               valac
Standards-Version: 3.9.8
Homepage: https://github.com/iabem97/komorebi

Package: komorebi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, komorebi-data  (>= ${binary:Version})
Description: beautiful and customizable desktop manager for Linux
 Komorebi is an awesome desktop wallpaper manager for all Linux platforms.
 It provides fully customizeable image and video wallpapers that can be tweaked
 at any time!
 
Package: komorebi-data
Architecture: all
Description: beautiful and customizable desktop manager for Linux--data files
 Komorebi is an awesome desktop wallpaper manager for all Linux platforms.
 It provides fully customizeable image and video wallpapers that can be tweaked
 at any time!
 .
 This package provides the architecture-independent data files for Komorebi.

## komorebi 2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
 set (PKGDATADIR "${DATADIR}/komorebi")
 set (RELEASE_NAME "summit")
-set (VERSION "1.0")
+set (VERSION "2.1")
 set (VERSION_INFO "Release")
 set (ARCHIVE_NAME komorebi-${VERSION})
 
 
 find_package(PkgConfig)
-pkg_check_modules(DEPS REQUIRED gtk+-3.0 libgtop-2.0 glib-2.0>=2.38 gee-0.8 clutter-gtk-1.0 clutter-1.0 clutter-gst-3.0)
+pkg_check_modules(DEPS REQUIRED gtk+-3.0 glib-2.0>=2.38 gee-0.8 webkit2gtk-4.0 clutter-gtk-1.0 clutter-1.0 clutter-gst-3.0)
 add_definitions(${DEPS_CFLAGS})
 
 link_directories(${DEPS_LIBRARY_DIRS})
@@ -29,7 +29,6 @@
 
     src/OnScreen/BackgroundWindow.vala
     src/OnScreen/DateTimeBox.vala
-    src/OnScreen/InfoBox.vala
     src/OnScreen/DesktopIcons.vala
     src/OnScreen/ResponsiveGrid.vala
     src/OnScreen/Icon.vala
@@ -47,10 +46,10 @@
 
 PACKAGES
     gtk+-3.0
-    glibtop
     gee-0.8
     clutter-gtk-1.0
     clutter-gst-3.0
+    webkit2gtk-4.0
 OPTIONS
     --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi/
    	--disable-warnings
@@ -66,9 +65,10 @@
 
 
 PACKAGES
+    gee-0.8
     gtk+-3.0
-    gee-0.8
     gstreamer-1.0
+    webkit2gtk-4.0
 OPTIONS
     --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi/
     --disable-warnings
@@ -106,17 +106,17 @@
 set(CPACK_GENERATOR "DEB")
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Komorebi - An awesome desktop manager for Linux")
 set(CPACK_PACKAGE_VENDOR "")
-set(CPACK_PACKAGE_CONTACT "Abraham Masri <imasrim114@gmail.com>")
+set(CPACK_PACKAGE_CONTACT "Abraham Masri @cheesecakeufo")
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
 set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
 set(CPACK_PACKAGE_ICON screenshots/komorebi-icon.png)
 set(CPACK_PACKAGE_VERSION_MAJOR 2)
-set(CPACK_PACKAGE_VERSION_MINOR 0)
+set(CPACK_PACKAGE_VERSION_MINOR 1)
 set(CPACK_PACKAGE_VERSION_PATCH 0)
 set(CPACK_PACKAGE_INSTALL_DIRECTORY "Komorebi")
-set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_CURRENT_SOURCE_DIR}/data/Other/postinst;")
+set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_CURRENT_SOURCE_DIR}/data/Other/postinst;${CMAKE_CURRENT_SOURCE_DIR}/data/Other/postrm;")
 
-set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtk-3-0 (>= 3.14), libglib2.0-0 (>= 2.38), libgtop2-common, libgee-0.8-2, libclutter-gtk-1.0-0, libclutter-1.0-0, libclutter-gst-3.0-0")
+set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtk-3-0 (>= 3.14), libglib2.0-0 (>= 2.38), libgee-0.8-2, libclutter-gtk-1.0-0, libclutter-1.0-0, libclutter-gst-3.0-0, libwebkit2gtk-4.0-37")
 set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
 set(CPACK_DEBIAN_PACKAGE_SECTION "system")

=== debian/changelog ===
komorebi (2.1-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Sun, 04 Jul 2021 15:36:33 +0200

=== debian/control ===
Source: komorebi
Section: system
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/komorebi
#Vcs-Git: https://salsa.debian.org/debian/komorebi.git
Rules-Requires-Root: no

Package: komorebi
Architecture: all
Depends: ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

## komorebi 2.2.1

=== debian/changelog ===
komorebi (2.2.1-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX 21.
  * Add support for armhf packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 12 Dec 2021 12:14:41 -0800

komorebi (2.2.1-0.1~mx19+1) mx; urgency=medium

  * Package new upstream release by new maintainers.
  * debian/control:
    - bump up to debhelper compat 11 for meson.
    - add meson (meson >= 0.49) and libwebkit2gtk-4.0-dev to BDs.
    - drop cmake from BDs.
  * Update debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 11 Oct 2020 08:42:01 -0700

=== debian/control ===
Source: komorebi
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11),
               dh-exec,
               libclutter-gst-3.0-dev,
               libclutter-gtk-1.0-dev,
               libgee-0.8-dev,
               libglib2.0-dev (>= 2.38),
               libgtk-3-dev (>= 3.14),
               libgtop2-dev,
               libwebkit2gtk-4.0-dev,
               libwnck-3-dev,
               meson (>= 0.49),
               valac
Standards-Version: 3.9.8
Homepage: https://github.com/iabem97/komorebi

Package: komorebi
Architecture: amd64 armhf i386
Depends: komorebi-data  (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: beautiful and customizable desktop manager for Linux
 Komorebi is an awesome desktop wallpaper manager for all Linux platforms.
 It provides fully customizeable image and video wallpapers that can be tweaked
 at any time!

Package: komorebi-data
Architecture: all
Description: beautiful and customizable desktop manager for Linux--data files
 Komorebi is an awesome desktop wallpaper manager for all Linux platforms.
 It provides fully customizeable image and video wallpapers that can be tweaked
 at any time!
 .
 This package provides the architecture-independent data files for Komorebi.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym
